
.roof-product{padding:80px 0;background:#fff;}
.roof-product .tit{text-align:center;}
.roof-product .tit h3{font-size:48px;font-weight:400;line-height:1;color:#111;}


.roof-product ul{margin:38px -12px 0;display:flex;flex-wrap:wrap;}
.roof-product ul li{width:25%;padding:12px;}
.roof-product ul li .box{position:relative;overflow:hidden;box-shadow:0 0 10px 3px rgba(63,62,62,0.08);}
.roof-product ul li .service-tit{position:absolute;bottom:0;left:0;right:0;text-align:center;background:rgb(255 255 255 / 50%);height:54px;line-height:54px;transition:.5s;padding: 0 15px;}
.roof-product ul li .service-tit h3 {font-size:18px;color:#292930;font-weight:400;line-height:inherit;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}

.roof-product ul li .service-txt{position:absolute;top:0;bottom:0;left:0;right:0;transition:.5s;display:flex;justify-content:center;align-items:center;transform: translateY(100%);}
.roof-product ul li .service-txt .inner{text-align:center;background-color:#ffffff;border:1px dashed var(--color-primary);padding:25px 20px;width:80%;}
.roof-product ul li .service-txt .ico{width:54px;height:54px;background:#f1f1f1;text-align:center;line-height:54px;display:inline-block;border-radius:50%;color:#666;}
.roof-product ul li .service-txt .ico i{font-size:16px;}
.roof-product ul li .service-txt h4{font-size:20px;margin:10px 0 0;font-weight:400;display:-webkit-box;-webkit-box-orient:vertical;-webkit-line-clamp:2;overflow:hidden;}
.roof-product ul li .service-txt h4 a:hover{color:var(--color-primary);}
.roof-product ul li .service-txt p{margin:10px 0 0;font-size:16px;color:#333;display:-webkit-box;-webkit-box-orient:vertical;-webkit-line-clamp:2;overflow:hidden;}

@media screen and (min-width:768px){
.roof-product ul li:hover .service-txt .ico{background:#7AC49E;color:#fff;}
.roof-product ul li:hover .service-txt .ico i{}  
.roof-product ul li:hover .service-tit{opacity:0;}
.roof-product ul li:hover .service-txt{transform: translateY(0);}
}


@media screen and (max-width:1550px) {
.roof-product{padding:70px 0;}
.roof-product .tit h3{font-size:46px;}
}

@media screen and (max-width:1441px) {
.roof-product{padding:70px 0;}
.roof-product .tit h3{font-size:44px;}
}

@media screen and (max-width:1367px) {
.roof-product .tit h3{font-size:40px;}
.roof-product ul li .service-tit{height:50px;line-height:50px;}
.roof-product ul li .service-txt .inner{padding:15px 15px;}
.roof-product ul li .service-txt h4{font-size:18px;}
.roof-product ul li .service-txt p{font-size:15px;}
}

@media screen and (max-width:1281px){
.roof-product{padding:60px 0;}
.roof-product .tit h3{font-size:36px;}
.roof-product ul li .service-tit h3{font-size:17px;}
}

@media screen and (max-width:1171px){
.roof-product .tit h3{font-size:34px;}
.roof-product ul li{width:33.33333%;}
}

@media screen and (max-width:992px){
.roof-product .tit h3{font-size:32px;}
}

@media screen and (max-width:768px){
.roof-product{padding:30px 0;}
.roof-product .tit h3{font-size:30px;}
.roof-product ul li{width:50%;}
.roof-product ul li .service-txt{display:none;}
.roof-product ul li .service-tit{line-height:40px;height:40px;}
.roof-product ul li .service-tit h3{font-size:16px;}  
}

@media screen and (max-width:640px) {
.roof-product .tit h3{font-size:28px;}
}

@media screen and (max-width:576px) {
.roof-product .tit h3{font-size:26px;}
}

@media screen and (max-width:480px) {
.roof-product .tit h3{font-size:24px;}
.roof-product ul{margin:24px -6px 0;}
.roof-product ul li{padding:6px;}
.roof-product ul li .service-tit{position:static;background:#ffffffe5;}
.roof-product ul li .service-tit h3{font-size:15px;}
}	

@media screen and (max-width:420px) {
.roof-product .tit h3{font-size:22px;}
}     














.service-section {
  padding: 106px 0 90px;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.service-section .section-main-title h2 {
  color: #000;
}

.service-box {
  overflow: hidden;
  margin-bottom: 30px;
}

.service-thumb {
  position: relative;
}

.service-thumb img {
  width: 100%;
}

.service-main-content {
  position: absolute;
  bottom: 18px;
  left: 0;
  right: 0;
  margin: auto;
  background: #ffffff;
  width: 100%;
  max-width: 280px;
  height: 54px;
  transition: .5s;
}

.service-box:hover .service-main-content {
  left: -50%;
  opacity: 0;
}

.service-icon-thumb {
  display: inline-block;
  height: 57px;
  width: 57px;
  background: var(--color-primary);
  text-align: center;
  line-height: 57px;
  position: absolute;
  top: -27px;
}

.service-icon-thumb img {
  width: 36px;
  vertical-align: middle;
}

.service-main-title {
  display: inline-block; 
  width: 100%;
  padding: 0 10px;
  text-align: center;
}
.service-icon-thumb + .service-main-title {
  width: calc(100% - 80px);
  margin-left: 60px;
  text-align: left;
}


.service-main-title h3 {
  font-size: 18px;
  line-height: 54px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.service-text {
  position: absolute;
  bottom: -300%;
  text-align: center;
  background-color: #ffffff;
  border: 1px dashed var(--color-primary);
  padding: 30px 0px 20px;
  max-width: 290px;
  max-height: 230px;
  left: 0;
  right: 0;
  top: 0;
  margin: auto;
  transition: .5s;
}

.service-box:hover .service-text{
  bottom: 0;
}

.sevice-text-icon i {
  display: inline-block;
  width: 54px;
  height: 54px;
  line-height: 54px;
  font-size: 22px;
  color: var(--color-primary);
  text-align: center;
  border-radius: 50%;
  background: #f1f1f1;
  transform: rotate(-45deg);
}
.sevice-text-icon i:hover {
  color: #ffffff;
  background-color: var(--color-primary);
}

.service-text-content {
  padding: 0 10px;
}

.service-text-content h4 a {
  display: block;
  margin: 12px 0 15px;
  font-family: var(--title-font-family);
  font-size: 18px;
  color: var(--title-text-color);
  font-weight: 600;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  transition: .5s;
}

.service-text-content h4 a:hover{
  color: var(--color-primary);
}

.service-text-content p {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}


@media (min-width: 1200px) and (max-width: 1279px) {
  .service-text {
    padding: 25px 0 15px;
  }
  .service-text-content h4 a {
    margin: 10px 0 12px;
  }
  .service-text-content p {
    -webkit-line-clamp: 1;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .service-main-content {
    bottom: 0;
    height: 48px;
  }
}